VERSION(8)

NAME
Version - =drive utilities

DESCRIPTION
==========================================================================================

    openSeaChest_Reservations - openSeaChest drive utilities - NVMe Enabled Copyright (c) 2014-2023 Seagate Technology LLC and/or its Affiliates, All Rights Reserved openSeaChest_Reservations Version: 0.2.1-6_2_0 X86_64 Build Date: Dec 1 2023 Today: Fri Dec 1 15:18:14 2023 User: current user

========================================================================================== Usage =====

    openSeaChest_Reservations [-d <sg_device>] {arguments} {options}

NOTE: This utility only supports persistent reservations.

    SCSI 2 reservations are not supported.

Examples ========

    openSeaChest_Reservations --scan openSeaChest_Reservations -d /dev/sg<#> -i openSeaChest_Reservations -d /dev/sg<#> --SATInfo openSeaChest_Reservations -d /dev/sg<#> --llInfo openSeaChest_Reservations -d /dev/sg<#> --showPReservationCapabilties openSeaChest_Reservations -d /dev/sg<#> --showFullPReservationInfo openSeaChest_Reservations -d /dev/sg<#> --showPRegistrationKeys openSeaChest_Reservations -d /dev/sg<#> --showPReservations

Return codes ============

    Generic/Common exit codes 0 = No Error Found 1 = Error in command line options 2 = Invalid Device Handle or Missing Device Handle 3 = Operation Failure 4 = Operation not supported 5 = Operation Aborted 6 = File Path Not Found 7 = Cannot Open File 8 = File Already Exists 9 = Need Elevated Privileges Anything else = unknown error

Utility Options ===============

--echoCommandLine

    Echo the command line entered into the utility on the screen.

--enableLegacyUSBPassthrough

    Only use this option on old USB or IEEE1394 (Firewire) products that do not otherwise work with the tool. This option will enable a trial and error method that attempts sending various ATA Identify commands through vendor specific means. Because of this, certain products that may respond in unintended ways since they may interpret these commands differently than the bridge chip the command was designed for.

--forceATA

    Using this option will force the current drive to be treated as a ATA drive. Only ATA commands will be used to talk to the drive.

--forceATADMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to DMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceATAPIO
    (SATA Only)

    Using this option will force the tool to issue PIO commands to ATA device when possible. This option can be combined with --forceATA

--forceATAUDMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to UDMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceSCSI

    Using this option will force the current drive to be treated as a SCSI drive. Only SCSI commands will be used to talk to the drive.

--forceNVME

    Using this option will force the current drive to be treated as a NVME drive. Only NVME commands will be used to talk to the drive.

-h, --help

    Show utility options and example usage (this output you see now) Please report bugs/suggestions to seaboard@seagate.com. Include the output of --version information in the email.

--license

    Display the Seagate End User License Agreement (EULA).

--modelMatch [model Number]

    Use this option to run on all drives matching the provided model number. This option will provide a closest match although an exact match is preferred. Ex: ST500 will match ST500LM0001

--noBanner

    Use this option to suppress the text banner that displays each time openSeaChest is run.

--onlyFW [firmware revision]

    Use this option to run on all drives matching the provided firmware revision. This option will only do an exact match.

--onlySeagate

    Use this option to match only Seagate drives for the options provided

-q, --quiet

    Run openSeaChest_Reservations in quiet mode. This is the same as -v 0 or --verbose 0

-v [0-4], --verbose [0 | 1 | 2 | 3 | 4]

    Show verbose information. Verbosity levels are: 0 - quiet 1 - default 2 - command descriptions 3 - command descriptions and values 4 - command descriptions, values, and data buffers Example: -v 3 or --verbose 3

-V, --version

    Show openSeaChest_Reservations version and copyright information & exit

Utility Arguments =================

-d, --device [deviceHandle | all]

    Use this option with most commands to specify the device handle on which to perform an operation. Example: /dev/sg<#> To run across all devices detected in the system, use the "all" argument instead of a device handle. Example: -d all NOTE: The "all" argument is handled by running the

specified options on each drive detected in the
    OS sequentially. For parallel operations, please use a script opening a separate instance for each device handle.

-F, --scanFlags [option list]

    Use this option to control the output from scan with the options listed below. Multiple options can be combined.

ata - show only ATA (SATA) devices
    usb - show only USB devices scsi - show only SCSI (SAS) devices nvme - show only NVMe devices interfaceATA - show devices on an ATA interface interfaceUSB - show devices on a USB interface interfaceSCSI - show devices on a SCSI or SAS interface interfaceNVME = show devices on an NVMe interface sd - show sd device handles sgtosd - show the sd and sg device handle mapping

-i, --deviceInfo

    Show information and features for the storage device

--llInfo

    Dump low-level information about the device to assist with debugging.

-s, --scan

    Scan the system and list all storage devices with logical /dev/sg<#> assignments. Shows model, serial and firmware numbers. If your device is not listed on a scan immediately after booting, then wait 10 seconds and run it again.

-S, --Scan

    This option is the same as --scan or -s, however it will also perform a low level rescan to pick up other devices. This low level rescan may wake devices from low power states and may cause the OS to re-enumerate them. Use this option when a device is plugged in and not discovered in a normal scan. NOTE: A low-level rescan may not be available on all interfaces or all OSs. The low-level rescan is not guaranteed to find additional devices in the system when the device is unable to come to a ready state.

--SATInfo

    Displays SATA device information on any interface using both SCSI Inquiry / VPD / Log reported data (translated according to SAT) and the ATA Identify / Log reported data.

--testUnitReady

    Issues a SCSI Test Unit Ready command and displays the status. If the drive is not ready, the sense key, asc, ascq, and fru will be displayed and a human readable translation from the SPC spec will be displayed if one is available.

--fastDiscovery

Use this option
    to issue a fast scan on the specified drive.

--prAllTargetPorts
    (NVMe & SAS only)

    Use this option when registering a new key to specify that it applies to all target ports. NOTE: Not all devices will support this option

--prClear
    (NVMe & SAS only)

    Use this option to clear all reservations using a key that is specified by the --prKey option. The specified key must already be registered with the device.

--prKey [key]
    (NVMe & SAS Only)

    Use this option to specify the key to use for persistent reservation options. When registering a key, this provides the value expected for your use. It should continue to be used through all persistent reseve operations until unregistered or cleared.

--prPersistThroughPowerLoss
    (NVMe & SAS only)

    Use this option when registering a new key to activate the persist through power loss capability. NOTE: Not all devices will support this option

--prPreempt [reservation key to preempt]
    (NVMe & SAS only)

    Use this option to preempt another reservation using a registration key

    that is specified by the --prKey option.

    The specified key must already be registered with the device. This is used to remove a reservation from another initiator and start a new one using the specified registration key. --prType must also be provided to specify the type of reservation that should be active once the preempt has completed. Use with the --prPreemptAbort option to cause the preempt to abort all outstanding commands to the previous reservation holder.

--prPreemptAbort
    (NVMe & SAS only)

    Use this option to cause a preempt to abort commands to the previous reservation holder. This must be used in combination with the --prPreempt option in order to specify the key to preempt.

--prRegister
    (NVMe & SAS only)

    Use this option to register a new key as specified by the --prKey option. Combine this with the following options as needed: --prAllTargetPorts --prPersistThroughPowerLoss --prRegisterIgnore

--prRegisterIgnore
    (NVMe & SAS only)

    Use this option when registering a new key to instruct the device to ignore any previous registration key that has already been registered from the same initiator NOTE: Not all devices will support this option

--prRelease
    (NVMe & SAS only)

    Use this option to release reservation using a key that is specified by the --prKey option. The specified key must already be registered with the device and must have an active reservation that can be released. Use the --prType option to specifiy the reservation type to release.

--prReserve
    (NVMe & SAS only)

    Use this option to acquire a reservation using a key that is specified by the --prKey option. The specified key must already be registered with the device. Use the --prType option to specifiy the reservation type to acquire.

--prType [wrex | ex | wrexro | exro | wrexar | exar]
    (NVMe and SAS only)

    This option specifies the type of reservation to hold. This is required for acquiring, preempting, and releasing reservations. Available reservation types:

wrex
    - write exclusive

ex  - exclusive access

wrexro - write exclusive, registrants only
    exro - exclusive access, registrants only wrexar - write exclusive, all registrants exar - exclusive access, all registrants

--prUnregister
    (NVMe & SAS only)

    Use this option to unregister a key that is specified by the --prKey option.

--showFullPReservationInfo
    (NVMe & SAS Only)

    This options reads the persistent reservation full information (registrations and reservations) and prints it to the screen.

--showPRegistrationKeys (NVMe & SAS Only)

    This options reads the persistent reservation registration keys and prints it to the screen.

--showPReservations
    (NVMe & SAS Only)

    This options reads the persistent reservation reservations and prints it to the screen.

--showPReservationCapabilties
    (NVMe & SAS Only)

    This options shows the persistent reservation capabilities for a device. NOTE: Older device supporting SPC or SPC2 may not support showing capabilities, but do support persistent reservations.

    Utility Version: 0.2.1 opensea-common Version: 2.0.0 opensea-transport Version: 6.2.0 opensea-operations Version: 5.1.1 Build Date: Dec 1 2023 Compiled Architecture: X86_64 Detected Endianness: Little Endian Compiler Used: GCC Compiler Version: 7.5.0 Operating System Type: Linux Operating System Version: 4.15.0-211 Operating System Name: Ubuntu 18.04.6 LTS